com.dlsc.flexgantt.swing.treetable

## Interface IRowHeaderRenderer<T extends AbstractRowHeader>

- Type Parameters:
    `T` - the type of the row header for which the renderer will be used
  All Superinterfaces:
    IRenderer
  All Known Subinterfaces:
    ILayerContainerRowHeaderRenderer, ITreeTableRowHeaderRenderer
  All Known Implementing Classes:
    DefaultLayerContainerRowHeaderRenderer, DefaultResourceNodeRowHeaderRenderer, DefaultTreeTableRowHeaderRenderer, MacLayerContainerResourceRowHeaderRenderer, MacLayerContainerRowHeaderRenderer, MacTreeTableRowHeaderRenderer

      public interface IRowHeaderRenderer<T extends AbstractRowHeader>
      extends IRenderer

  An interface for renderers used by the row header to draw the content of the headers for each row. Each header can have its own unique appearance. The renderer is free to choose whether it wants to take the so-called header value into consideration for its rendering.
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann
  See Also:
    `ITreeTableModel.getRowHeaderValue(Object)`, `AbstractRowHeader.setRowHeaderRenderer(Class, IRowHeaderRenderer)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getRowHeaderRendererComponent(T header, Object node, Object rowHeaderValue, int depth, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus, boolean newNode)` Returns a component suitable for rendering a row header.

- - ### Method Detail

    - #### getRowHeaderRendererComponent

          Component getRowHeaderRendererComponent(T header,
                                                  Object node,
                                                  Object rowHeaderValue,
                                                  int depth,
                                                  boolean selected,
                                                  boolean expanded,
                                                  boolean leaf,
                                                  int row,
                                                  boolean hasFocus,
                                                  boolean newNode)

      Returns a component suitable for rendering a row header.
      Parameters:
        `header` - the row header component in which the header gets rendererd
        `node` - the tree node to which the row header belongs
        `rowHeaderValue` - the header value object
        `depth` - the hierarcy depth of the row for which the header gets rendered
        `selected` - a flag signalling whether the row is currently selected
        `expanded` - a flag signalling whether the hierarcy node to which the header belongs is currently in an expanded state (opened)
        `leaf` - a flag signalling whether the hierarchy node to which the header belongs is a leaf (has no children)
        `row` - the row in which the header is located
        `hasFocus` - a flag signalling whether the header is the focus owner
        `newNode` - a flag signalling whether the row is used for creating new tree nodes
      Returns:
        a component suitable for rendering the header
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.